﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Olap;
using System.Reflection;
using Infragistics.Olap.FlatData;
using System.Collections.Generic;
using System.Collections;

namespace ExportToExcel_11._1
{
    public class CustomMeasureAggregator : Aggregator<double>
    {

        public override IAggregationResult<double, double> Evaluate(IAggregationResult<double, double> oldResult, IAggregateable aggregateable, IEnumerable items)
        {
            double result = 0;
            
            foreach (DataRowMetadata data in items)
            {
                Sale sale = data.DataObject as Sale;
                result += sale.NumberOfUnits * sale.UnitPrice;
            }

            return new SingleResult<double>(result);
        }

        public override IAggregationResult<double, double> Evaluate(IAggregationResult<double, double> oldResult, double value)
        {
            throw new NotImplementedException();
        }

    }


}
